# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit games

DESCRIPTION="sandbox physics game"
HOMEPAGE="http://sourceforge.net/projects/caphgame"
SRC_URI="http://downloads.sourceforge.net/project/caphgame/caph/${P}/${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="media-libs/libpng
	media-libs/libsdl"
RDEPEND="${DEPEND}"

src_compile() {
	cd "src"
	./confg || die "configure failed"
	./build || die "build failed"
}

src_install() {	
	mv bin caphgame
	mv share/caph share/${P}
	mv doc/caph doc/${P}
	echo '#!/bin/bash' >caphgame-launcher
	echo "pushd ${GAMES_DATADIR}/${P}" >>caphgame-launcher
	echo 'caphgame' >>caphgame-launcher
	echo 'popd' >>caphgame-launcher
	chmod u=rwx,go=rx caphgame-launcher
	dogamesbin "caphgame" || die "dogamesbin failed"
	dogamesbin "caphgame-launcher" || die "dogamesbin failed"
	insinto "${GAMES_DATADIR}"
	doins -r "share/${P}" || die "install failed"
	dodoc "doc/${P}/README" || die "dodoc failed"
	prepgamesdirs
}
